<?php

use App\Http\Controllers\Auth\AuthenticatedEstudianteSessionController;
use Illuminate\Support\Facades\Route;

Route::middleware('guest.estudiante')->group(function () {
    Route::get('/login/estudiante', [AuthenticatedEstudianteSessionController::class, 'create'])
        ->name('login.estudiante');

    Route::post('/login/estudiante', [AuthenticatedEstudianteSessionController::class, 'store'])
        ->name('login.estudiante.store');
});

Route::middleware('auth.estudiante')->group(function () {

    Route::post('/logout/estudiante', [AuthenticatedEstudianteSessionController::class, 'destroy'])
        ->name('logout.estudiante');
});
